diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/wifi/test/wifi-error-rate-models-test.cc ns-3.34/src/wifi/test/wifi-error-rate-models-test.cc
--- ns-3.33/src/wifi/test/wifi-error-rate-models-test.cc	2021-01-09 10:19:23.000000000 -0800
+++ ns-3.34/src/wifi/test/wifi-error-rate-models-test.cc	2021-07-14 10:31:07.000000000 -0700
@@ -986,7 +1462,7 @@
   virtual ~TableBasedErrorRateTestCase ();
 
 private:
-  virtual void DoRun (void);
+  void DoRun (void) override;
 
   std::string m_testName; ///< The name of the test to run
   WifiMode m_mode;        ///< The WifiMode to test
@@ -1017,13 +1493,13 @@
   txVector.SetMode (m_mode);
 
   // Spot test some values returned from TableBasedErrorRateModel
-  for (double snr = -4.0; snr <= 30.0; snr += 0.5)
+  for (double snr = -4; snr <= 30; snr += 0.25)
     {
       double expectedValue = 0;
       if (m_mode.GetMcsValue () > ERROR_TABLE_BCC_MAX_NUM_MCS)
         {
           Ptr<YansErrorRateModel> yans = CreateObject<YansErrorRateModel> ();
-          expectedValue = 1 - yans->GetChunkSuccessRate (m_mode, txVector, std::pow (10.0, snr / 10.0), m_size * 8);
+          expectedValue = 1 - yans->GetChunkSuccessRate (m_mode, txVector, std::pow (10, snr / 10), m_size * 8);
         }
       else
         {
@@ -1037,7 +1513,7 @@
                 }
               else
                 {
-                  NS_FATAL_ERROR ("SNR value not found!");
+                  NS_FATAL_ERROR ("SNR value " << snr << " dB not found!");
                 }
             }
           else
@@ -1045,9 +1521,9 @@
               NS_FATAL_ERROR ("No expected value found for the combination MCS " << +m_mode.GetMcsValue () << " and size " << m_size << " bytes");
             }
         }
-      double per = 1 - table->GetChunkSuccessRate (m_mode, txVector, std::pow (10.0, snr / 10.0), m_size * 8);
+      double per = 1 - table->GetChunkSuccessRate (m_mode, txVector, std::pow (10, snr / 10), m_size * 8);
       NS_LOG_INFO (m_testName << ": snr=" << snr << "dB per=" << per << " expectedPER=" << expectedValue);
-      NS_TEST_ASSERT_MSG_EQ_TOL (per, expectedValue, 1e-6, "Not equal within tolerance");
+      NS_TEST_ASSERT_MSG_EQ_TOL (per, expectedValue, 1e-5, "Not equal within tolerance");
     }
 }
 
@@ -1069,19 +1545,19 @@
   AddTestCase (new WifiErrorRateModelsTestCaseDsss, TestCase::QUICK);
   AddTestCase (new WifiErrorRateModelsTestCaseNist, TestCase::QUICK);
   AddTestCase (new WifiErrorRateModelsTestCaseMimo, TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-1458bytes", WifiPhy::GetHtMcs0 (), 1458), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-32bytes", WifiPhy::GetHtMcs0 (), 32), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-1000bytes", WifiPhy::GetHtMcs0 (), 1000), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-1byte", WifiPhy::GetHtMcs0 (), 1), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-2000bytes", WifiPhy::GetHtMcs0 (), 2000), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs7-1500bytes", WifiPhy::GetHtMcs7 (), 1500), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-1458bytes", WifiPhy::GetVhtMcs0 (), 1458), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-32bytes", WifiPhy::GetVhtMcs0 (), 32), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-1000bytes", WifiPhy::GetVhtMcs0 (), 1000), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-1byte", WifiPhy::GetVhtMcs0 (), 1), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-2000bytes", WifiPhy::GetVhtMcs0 (), 2000), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs8-1500bytes", WifiPhy::GetVhtMcs8 (), 1500), TestCase::QUICK);
-  AddTestCase (new TableBasedErrorRateTestCase ("FallbackTableBasedHeMcs11-1458bytes", WifiPhy::GetHeMcs11 (), 1458), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-1458bytes", HtPhy::GetHtMcs0 (), 1458), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-32bytes", HtPhy::GetHtMcs0 (), 32), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-1000bytes", HtPhy::GetHtMcs0 (), 1000), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-1byte", HtPhy::GetHtMcs0 (), 1), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs0-2000bytes", HtPhy::GetHtMcs0 (), 2000), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedHtMcs7-1500bytes", HtPhy::GetHtMcs7 (), 1500), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-1458bytes", VhtPhy::GetVhtMcs0 (), 1458), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-32bytes", VhtPhy::GetVhtMcs0 (), 32), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-1000bytes", VhtPhy::GetVhtMcs0 (), 1000), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-1byte", VhtPhy::GetVhtMcs0 (), 1), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs0-2000bytes", VhtPhy::GetVhtMcs0 (), 2000), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("DefaultTableBasedVhtMcs8-1500bytes", VhtPhy::GetVhtMcs8 (), 1500), TestCase::QUICK);
+  AddTestCase (new TableBasedErrorRateTestCase ("FallbackTableBasedHeMcs11-1458bytes", HePhy::GetHeMcs11 (), 1458), TestCase::QUICK);
 }
 
 static WifiErrorRateModelsTestSuite wifiErrorRateModelsTestSuite; ///< the test suite
